### Struct

# EDataCal CalCacheSearchData

since: 3.26

#### Description [src]

    struct ECalCacheSearchData {
      gchar* uid;
      gchar* rid;
      gchar* object;
      gchar* extra;
    }

This structure is used to represent components returned by the `ECalCache` from various functions such as e_cal_cache_search().

The `extra` parameter will contain any data which was previously passed for this component in `e_cal_cache_put_component()` or set with e_cal_cache_set_component_extra().

These should be freed with e_cal_cache_search_data_free().

###### Structure members

`uid:` `gchar*`

  The UID of this component.

`rid:` `gchar*`

  The Recurrence-ID of this component.

`object:` `gchar*`

  The component string.

`extra:` `gchar*`

  Any extra data associated with the component.

Available since: 3.26

#### Constructors

###### e_cal_cache_search_data_new

Creates a new `ECalCacheSearchData` prefilled with the given values.

since: 3.26

#### Functions

###### e_cal_cache_search_data_free

Frees the `ptr` structure, previously allocated with `e_cal_cache_search_data_new()` or e_cal_cache_search_data_copy().

since: 3.26

#### Instance methods

###### e_cal_cache_search_data_copy

No description available.

since: 3.26